<div class="container">
  <br>
  <br>
  <div class="row" id="employees">
    <div class="col-md-12">
      <h3 class="text-center">Employees list</h3>
    </div>
    <br>
    <br>
    <div class="col-md-12 text-center">
      <div class="table-responsive">
        <table class="table table-hover" *ngIf='employees && employees.length'>
          <thead class="thead-dark">
            <tr>
              <th style="width: 10%">Id</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th style="width: 20%">Hiring date</th>
              <th style="width: 20%">Works for project</th>
              <th style="width: 10%"></th>
              <th style="width: 10%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor='let employee of employees'>
              <td style="width: 10%">{{employee.personId}}</td>
              <td>{{employee.firstName}}</td>
              <td>{{employee.lastName}}</td>
              <td>{{employee.email}}</td>
              <td style="width: 20%">{{employee.hiringDate | date: 'dd-MM-yyyy'}}</td>
              <td style="width: 20%">{{employee.project.projectId}}</td>
              <td style="width: 10%">
                <button class="btn btn-warning btn-block" type="button" (click)="loadEmployeeToEdit(employee.personId)">Edit</button>
              </td>
              <td style="width: 10%">
                <button class="btn btn-danger btn-block" type="button" (click)="deleteEmployee(employee.personId)">Delete</button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <hr>
  <div class="row">
    <div class="col-md-4 offset-md-4">
      <button type="button" class="btn btn-primary btn-block" (click)="showForm()">Add employee</button>
    </div>
  </div>
  <hr *ngIf="showFormValue">
  <div class="row" *ngIf="showFormValue">
    <div class="col-md-6 offset-md-3">
      <h4 class="text-center">Add/Update employee</h4>
      <form [formGroup]="employeeForm" (ngSubmit)="onEmployeeFormSubmit()">
        <div class="form-group">
          <label for="employeeId">Id employee:</label>
          <input type="text" class="form-control" id="employeeId" formControlName="personId">
          <small *ngIf="employeeForm.get('personId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Id
            employee is required.</small>
        </div>
        <div class="form-group">
          <label for="firstname">First name:</label>
          <input type="text" class="form-control" id="firstname" formControlName="firstName">
          <small *ngIf="employeeForm.get('firstName').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">First
            name is required.</small>
        </div>
        <div class="form-group">
          <label for="lastname">Last name:</label>
          <input type="text" class="form-control" id="lastname" formControlName="lastName">
          <small *ngIf="employeeForm.get('lastName').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Last
            name is required.</small>
        </div>
        <div class="form-group">
          <label for="email">Email:</label>
          <input type="text" class="form-control" id="email" formControlName="email">
          <small *ngIf="employeeForm.get('email').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Email
            is required.</small>
        </div>
        <div class="form-group">
          <label for="hiringdate">Hirind date:</label>
          <input type="date" class="form-control" id="hiringdate" formControlName="hiringDate">
          <small *ngIf="employeeForm.get('hiringDate').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Hiring
            date is required.</small>
        </div>
        <div class="form-group">
          <label for="projectId">Project id:</label>
          <input type="number" class="form-control" id="projectId" formControlName="projectId">
          <small *ngIf="employeeForm.get('projectId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Project
            id is required.</small>
        </div>
        <button type="submit" class="btn btn-success" *ngIf="!employeeIdToUpdate">Create</button>
        <button type="submit" class="btn btn-success" *ngIf="employeeIdToUpdate">Update</button>
        <button type="submit" class="btn btn-danger" (click)="backToCreateEmployee()" *ngIf="employeeIdToUpdate">Cancel</button>
      </form>
    </div>
  </div>
  <br>
  <br>
</div>
